# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
query occ_getStoreLocations_query($accuracy: Float, $baseSiteId: String!, $currentPage: Int, $fields: String = "DEFAULT", $latitude: Float, $longitude: Float, $pageSize: Int = 20, $query: String, $radius: Float = 100000, $sort: String = "asc") {
  occ_getStoreLocations(
    accuracy: $accuracy
    baseSiteId: $baseSiteId
    currentPage: $currentPage
    fields: $fields
    latitude: $latitude
    longitude: $longitude
    pageSize: $pageSize
    query: $query
    radius: $radius
    sort: $sort
  ) {
    ... on occ_StoreFinderSearchPage {
      boundEastLongitude
      boundNorthLatitude
      boundSouthLatitude
      boundWestLongitude
      locationText
      pagination {
        currentPage
        pageSize
        sort
        totalPages
        totalResults
      }
      sorts {
        code
        name
        selected
      }
      sourceLatitude
      sourceLongitude
      stores {
        address {
          cellphone
          companyName
          country {
            isocode
            name
          }
          defaultAddress
          district
          email
          firstName
          formattedAddress
          id
          lastName
          line1
          line2
          phone
          postalCode
          region {
            countryIso
            isocode
            isocodeShort
            name
          }
          shippingAddress
          title
          titleCode
          town
          visibleInAddressBook
        }
        description
        displayName
        distanceKm
        features
        formattedDistance
        geoPoint {
          latitude
          longitude
        }
        mapIcon {
          altText
          format
          galleryIndex
          imageType
          url
        }
        name
        openingHours {
          code
          name
          specialDayOpeningList {
            closed
            closingTime {
              formattedHour
              hour
              minute
            }
            comment
            date
            formattedDate
            name
            openingTime {
              formattedHour
              hour
              minute
            }
          }
          weekDayOpeningList {
            closed
            closingTime {
              formattedHour
              hour
              minute
            }
            openingTime {
              formattedHour
              hour
              minute
            }
            weekDay
          }
        }
        pickUpInStoreInstructions
        storeContent
        storeImages {
          altText
          format
          galleryIndex
          imageType
          url
        }
        url
        warehouseCodes
      }
    }
    ... on occ_errorList {
      errors {
        errorCode
        exceptionMessage
        language
        message
        position
        reason
        subject
        subjectType
        type
      }
    }
  }
}